<div nz-row nzType="flex" nzJustify="center">
  <div nz-col>
    <h1>Ajouter un film</h1>
  </div>
</div>

<div nz-row nzType="flex" nzJustify="center">
  <div nz-col>
    <!--création non fonctionnel manque de temps-->
    <form nz-form [formGroup]="moviesForm" (ngSubmit)="submitForm(moviesForm.value)">

      <nz-form-item>
        <nz-form-label nzRequired nzFor="title">Titre du film</nz-form-label>
        <nz-form-control nzErrorTip="Le titre n'est pas valide!">
          <input nz-input formControlName="title" id="title"/>
        </nz-form-control>
      </nz-form-item>

      <nz-form-item>
        <nz-form-label nzRequired nzFor="category">Catégorie du film</nz-form-label>
        <nz-form-control nzErrorTip="La catégorie n'est pas valide!">
          <input nz-input formControlName="category" id="category"/>
        </nz-form-control>
      </nz-form-item>

      <nz-form-item>
        <nz-form-label nzRequired nzFor="releaseYear">L'année de réalisation du film</nz-form-label>
        <nz-form-control nzErrorTip="L'année de réalisation n'est pas valide!">
          <input nz-input formControlName="releaseYear" id="releaseYear"/>
        </nz-form-control>
      </nz-form-item>

      <nz-form-item>
        <nz-form-label nzRequired nzFor="directors">Le directeur du film</nz-form-label>
        <nz-form-control nzErrorTip="Le directeur du film n'est pas valide!">
          <input nz-input formControlName="directors" id="directors"/>
        </nz-form-control>
      </nz-form-item>

      <nz-form-item>
        <nz-form-label nzRequired nzFor="synopsis">Le synopsis du film</nz-form-label>
        <nz-form-control nzErrorTip="Le synopsis du film n'est pas valide!">
          <input nz-input formControlName="synopsis" id="synopsis"/>
        </nz-form-control>
      </nz-form-item>

      <nz-form-item>
        <nz-form-label nzRequired nzFor="rate">La note du film</nz-form-label>
        <nz-form-control nzErrorTip="La note du film n'est pas valide!">
          <input nz-input formControlName="rate" id="rate"/>
        </nz-form-control>
      </nz-form-item>

      <nz-form-item>
        <nz-form-label nzRequired nzFor="price">Le prix du film</nz-form-label>
        <nz-form-control nzErrorTip="Le prix du film n'est pas valide!">
          <input nz-input formControlName="price" id="price"/>
        </nz-form-control>
      </nz-form-item>

    </form>
  </div>
</div>

